Uploaded image for project: 'Moodle'
  1. Moodle
  2. MDL-19415 PHP 5.3 compatibility fixes META
  3. MDL-19416

Quickforms is misusing old-style constructors - fatel error in our quickforms extension code in PHP 5.3

    XMLWordPrintable

Details

    • Sub-task
    • Status: Closed
    • Blocker
    • Resolution: Fixed
    • 1.9.5
    • 1.9.6, 2.0
    • Forms Library
    • None
    • MOODLE_19_STABLE
    • MOODLE_19_STABLE, MOODLE_20_STABLE

    Description

      Looks like following fragment is not valid any more:

      $className = get_class($this);
      $this->$className($arg[0], $arg[1], $arg[2], $arg[3], $arg[4]);

      This weird use of constructor relies on presence of old-style constructors which is fatal in 5.3

      Attachments

        1. forms_constructors_19.patch
          10 kB
          Petr Skoda
        2. forms_constructors_20.patch
          10 kB
          Petr Skoda

        Issue Links

          Activity

            People

              skodak Petr Skoda
              skodak Petr Skoda
              Dongsheng Cai Dongsheng Cai
              Adrian Greeve, Jake Dallimore, Mathew May, Mihail Geshoski
              Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved:
                21/Oct/09